export declare const EcanRadar: import("../../utils/withInstall").SFCWithInstall<import("vue").DefineComponent<{
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    data: {
        type?: import("vue").PropType<{
            name: string;
            value: number;
            type: string;
        }[]>;
        default?: {
            name: string;
            value: number;
            type: string;
        }[];
    };
    titleText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleSubtext: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    fontWeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    textAlign: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    legendOrient: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    colors: {
        type?: import("vue").PropType<string[]>;
        default?: string[];
    };
    valueTypeDataFieldNames: {
        type?: import("vue").PropType<{
            name: string;
            value: string;
            type: string;
        }>;
        default?: {
            name: string;
            value: string;
            type: string;
        };
    };
    keyTypeDataFieldNames: {
        type?: import("vue").PropType<{
            name: string;
            types: any[];
        }>;
        default?: {
            name: string;
            types: any[];
        };
    };
    dataFieldConfigType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tooltipFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDownloadShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDataZoomShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxInfoShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxOrient: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxItemSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxIconStyleBorderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxDownloadUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxInfoText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    areaStyleOpacity: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemHeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    lineStyleWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    symbolSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    labelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    labelFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelPosition: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    labelOverflow: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    axisNameColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    graphicConfig: {
        type?: import("vue").PropType<{}>;
        default?: {};
    };
    graphicType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipPosition: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendWidth: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    legendHeight: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    legendTextWidth: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    legendScroll: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gradientShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gradientColors: {
        type?: import("vue").PropType<string[]>;
        default?: string[];
    };
    gradientOffset: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    noDataTip: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tipText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}, {
    option: import("vue").ComputedRef<{
        textStyle: {
            fontFamily: string;
        };
        toolbox: {
            show: boolean;
            left: string;
            top: string;
            itemSize: number;
            itemGap: number;
            feature: {
                myDownload: {
                    show: boolean;
                    title: string;
                    icon: string;
                    onclick(): void;
                };
                myDataZoom: {
                    show: boolean;
                    title: string;
                    icon: string;
                    onclick(): void;
                };
                myInfo: {
                    show: boolean;
                    title: string;
                    icon: string;
                    onclick(): void;
                };
            };
        };
        title: {
            text: string;
            subText: string;
            textStyle: {
                fontSize: string;
                fontWeight: number;
                color: string;
            };
            left: string;
        };
        color: string[];
        tooltip: {
            trigger: string;
            textStyle: {
                fontSize: number;
            };
            show: boolean;
            formatter: (params: any) => string;
            position: string;
        };
        radar: {
            indicator: any[];
            axisName: {
                color: string;
            };
        };
        legend: {
            type: string;
            width: any;
            height: any;
            show: boolean;
            orient: string;
            top: string;
            left: string;
            textStyle: {
                lineHeight: number;
                rich: {
                    text: {
                        width: any;
                        color: string;
                        fontSize: string | number;
                    };
                };
            };
            itemHeight: number;
            itemWidth: number;
            itemGap: number;
            data: {
                name: any;
                icon: string;
            }[];
            formatter: (name: string) => string;
        };
        series: any[];
    }>;
    style: import("vue").ComputedRef<import("vue").HTMLAttributes>;
    click: (e: any) => void;
    loading: import("vue").Ref<boolean>;
    onClose: () => void;
    ecanModal: import("vue").Ref<any>;
    echartRef: import("vue").Ref<any>;
    emptyData: import("vue").Ref<boolean>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    data: {
        type?: import("vue").PropType<{
            name: string;
            value: number;
            type: string;
        }[]>;
        default?: {
            name: string;
            value: number;
            type: string;
        }[];
    };
    titleText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleSubtext: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    fontWeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    textAlign: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    legendOrient: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    colors: {
        type?: import("vue").PropType<string[]>;
        default?: string[];
    };
    valueTypeDataFieldNames: {
        type?: import("vue").PropType<{
            name: string;
            value: string;
            type: string;
        }>;
        default?: {
            name: string;
            value: string;
            type: string;
        };
    };
    keyTypeDataFieldNames: {
        type?: import("vue").PropType<{
            name: string;
            types: any[];
        }>;
        default?: {
            name: string;
            types: any[];
        };
    };
    dataFieldConfigType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tooltipFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDownloadShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDataZoomShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxInfoShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxOrient: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxItemSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxIconStyleBorderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxDownloadUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxInfoText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    areaStyleOpacity: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemHeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    lineStyleWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    symbolSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    labelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    labelFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelPosition: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    labelOverflow: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    axisNameColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    graphicConfig: {
        type?: import("vue").PropType<{}>;
        default?: {};
    };
    graphicType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipPosition: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendWidth: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    legendHeight: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    legendTextWidth: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    legendScroll: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gradientShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gradientColors: {
        type?: import("vue").PropType<string[]>;
        default?: string[];
    };
    gradientOffset: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    noDataTip: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tipText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}>>, {}>> & Record<string, any>;
export default EcanRadar;
export * from './props';
